Skip to main content
GET
Extract attachment text

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

messageId
string
required
filename
string
required

Use attachments[].id to select a specific file. A legacy filename selects the first exact match.

Response

Extracted text content

Extracted text content

filename
string
inboxId
string

Inbox the parent message belongs to

contentType
string
extractionMethod
string

Method used to extract text (e.g. pdf, docx, ocr)

text
string